/dts-v1/;

#include "mt7628an.dtsi"

#include <dt-bindings/gpio/gpio.h>
#include <dt-bindings/input/input.h>

/ {
	compatible = "tama,w06", "mediatek,mt7628an-soc";
	model = "Tama W06";

	memory@0{
		device_type = "memory";
		reg = <0x0 0x4000000>;
	};

	gpio-leds {
		compatible = "gpio-leds";

		wps {
			label = "w06:green:wps";
			gpios = <&gpio0 11 GPIO_ACTIVE_LOW>;
		};

		wan {
			label = "w06:green:wan";
			gpios = <&gpio1 11 GPIO_ACTIVE_LOW>;
		};

		wireless {
			label = "w06:green:wlan";
			gpios = <&gpio1 14 GPIO_ACTIVE_LOW>;
		};
	};

	gpio-keys-polled {
		compatible = "gpio-keys-polled";
		#address-cells = <1>;
		#size-cells = <0>;
		poll-interval = <20>;

		reset {
			label = "reset";
			gpios = <&gpio1 6 GPIO_ACTIVE_LOW>;
			linux,code = <KEY_RESTART>;
		};
	};
};

&ehci {
	status = "okay";
};

&ethernet {
	mtd-mac-address = <&factory 0x28>;
};

&ohci {
	status = "okay";
};

&pinctrl {
	state_default: pinctrl0 {
		gpio {
			ralink,group = "uart1", "p0led_an", "wdt";
			ralink,function = "gpio";
		};
	};
};

&spi0 {
	status = "okay";

	m25p80@0 {
		#address-cells = <1>;
		#size-cells = <1>;
		compatible = "jedec,spi-nor";
		reg = <0>;
		spi-max-frequency = <10000000>;
		m25p,chunked-io = <32>;

		partition@0 {
			label = "u-boot";
			reg = <0x0 0x30000>;
			read-only;
		};

		partition@30000 {
			label = "u-boot-env";
			reg = <0x30000 0x10000>;
			read-only;
		};

		factory: partition@40000 {
			label = "factory";
			reg = <0x40000 0x10000>;
			read-only;
		};

		partition@50000 {
			label = "firmware";
			reg = <0x50000 0xeb0000>;
		};

		partition@f00000 {
			label = "user-data";
			reg = <0xf00000 0x100000>;
			read-only;
		};
	};
};

&wmac {
	status = "okay";
};
